summaryrefslogtreecommitdiffstats
path: root/testapi
diff options
context:
space:
mode:
authorSerena Feng <feng.xiaowei@zte.com.cn>2017-09-11 01:21:27 +0000
committerGerrit Code Review <gerrit@opnfv.org>2017-09-11 01:21:27 +0000
commitf09f42bc881f9de8f20646fb30a480054986b108 (patch)
tree1e800a56a5455337881062bfa733f6e6c102596a /testapi
parent91fe1d5d8a90fd521ae1ae629fa63e3bb267c538 (diff)
parent72c8c470376c87c84e55c0efa30ad4cfcb7f0934 (diff)
Merge "Updating reporting url and fixed a bug"
Diffstat (limited to 'testapi')
-rw-r--r--testapi/tools/watchdog/docker_watch.sh20
1 files changed, 10 insertions, 10 deletions
diff --git a/testapi/tools/watchdog/docker_watch.sh b/testapi/tools/watchdog/docker_watch.sh
index 786fc10..f1d8946 100644
--- a/testapi/tools/watchdog/docker_watch.sh
+++ b/testapi/tools/watchdog/docker_watch.sh
@@ -22,7 +22,7 @@ declare -A ports=( ["testapi"]="8082" ["reporting"]="8084")
## Urls to check if the modules are deployed or not ?
declare -A urls=( ["testapi"]="http://testresults.opnfv.org/test/" \
- ["reporting"]="http://testresults.opnfv.org/reporting2/reporting/index.html")
+ ["reporting"]="http://testresults.opnfv.org/reporting/index.html")
### Functions related to checking.
@@ -31,9 +31,9 @@ function is_deploying() {
building=$(grep -oPm1 "(?<=<building>)[^<]+" <<< "$xml")
if [[ $building == "false" ]]
then
- return 0
+ false
else
- return 1
+ true
fi
}
@@ -42,9 +42,9 @@ function get_docker_status() {
echo -e "Docker status: $status"
if [ $status = "active" ]
then
- return 1
+ true
else
- return 0
+ false
fi
}
@@ -53,9 +53,9 @@ function check_connectivity() {
cmd=`curl --head -m10 --request GET ${2} | grep '200 OK' > /dev/null`
rc=$?
if [[ $rc == 0 ]]; then
- return 0
+ true
else
- return 1
+ false
fi
}
@@ -74,7 +74,7 @@ function check_modules() {
done
if [ ! -z "$failed_modules" ]; then
echo -e "Failed Modules: $failed_modules"
- return 1
+ false
else
echo -e "All modules working good"
exit 0
@@ -135,7 +135,7 @@ echo -e
## If the problem is related to docker daemon
-if get_docker_status; then
+if ! get_docker_status; then
restart_docker_fix
if ! check_modules; then
echo -e "Watchdog failed while restart_docker_fix"
@@ -162,4 +162,4 @@ if ! check_modules; then
fi
sudo docker ps
-sudo docker images
+sudo docker images \ No newline at end of file